<template>
  <form @submit.prevent="appendNewName">
    <label>
      <span>Vorname</span>
      <input type="text" name="firstname" required v-model.trim="firstName" />
    </label>
    <label>
      <span>Nachname</span>
      <input type="text" name="lastname" required v-model.trim="lastName" />
    </label>
    <label>
      <span>Alter</span>
      <input type="number" name="age" required v-model.number="age" />
    </label>
    <button type="submit">Person hinzufügen</button>
  </form>
  <ul>
    <li v-for="(user, index) in users">{{index}}: {{user}}</li>
  </ul>
</template>

<script setup>
  import { ref } from 'vue'

  const firstName = ref('')
  const lastName = ref('')
  const age = ref('')
  const users = ref([])

  function appendNewName() {
    users.value.push({
      firstName: firstName.value,
      lastName: lastName.value,
      age: age.value
    })
    firstName.value = ''
    lastName.value = ''
    age.value = ''
  }
</script>
